TEXCUBESIZE(3Cg)

NAME
texCUBEsize - returns the size of a given texture image for a given level of detail.

SYNOPSIS
  int3 texCUBEsize(samplerCUBE samp, int lod)
  int3 texCUBEsize(isamplerCUBE samp, int lod)
  int3 texCUBEsize(usamplerCUBE samp, int lod)

PARAMETERS

samp
    Sampler to be queried for size.

lod Level of detail to obtain size.

DESCRIPTION
Given a sampler and a level of detail the size of the corresponding texture image is returned as the result of the operation.

PROFILE SUPPORT
texCUBEsize is only supported in gp4 and newer profiles.

SEE ALSO
texCUBE